minecraft 1.6.2

Hi there, I have minecraft 1.6.2 and i want to install your mod pack for SCMons server but i can no longer force updates, can I still install mods? and if so how?
many thanks
Z

SCMowns On Facebook!

Please enable / Bitte aktiviere JavaScript!
Veuillez activer / Por favor activa el Javascript![ ? ]